Starmade | unload/load will drop blocks if volume used is bigger than default chest capacity
Resolved, needs quality check / confirm fix, UrgentPublic

Description

A chest that has 1000 capacity thanks to linked cargo blocks but started out with 100 default capacity will drop all blocks (see T935 for that) if more than the default capacity is used.

This only happens after loading the sector again so pretty much every time you leave and come back, or log out/log in.

How to reproduce:

  1. place 2 chests down, expand both with a few cargo blocks
  2. fill the 1st chest with exactly the volume amount that equals its default chest size (that's either 10 volume or 100 volume, depending on what config you use now)
  3. do the same for the 2nd chest but add 1 more block so it is just above the default chest size
  4. unload/load sector or log out/log in
  5. notice how the 2nd chest dropped its blocks, but the 1st didn't.

Details

Testing Results
Affected Gamemode(s)
none/unspecified
Reproducible
Yes
Last tested (version)
0.19509 (Dev)
Issue Type
Bug
Category
Control Block System: Functional
First occurrence (version)
0.19509 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Serverconfig (server.cfg)
Bleed when over capacity enabled
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Dec 3 2015, 10:07 PM
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptDec 3 2015, 10:07 PM
lancake claimed this task.Dec 3 2015, 10:07 PM
lancake set Issue Type to Bug.
lancake set Category to Control Block System: Functional.
lancake set Affected Gamemode(s) to none/unspecified.
lancake set First occurrence (version) to 0.19509 (Dev).
lancake set Reproducible to Yes.
lancake set Last tested (version) to 0.19509 (Dev).
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.
lancake moved this task from New / Unconfirmed to Confirmed on the Workflow Issue Navigation board.
lancake changed the task status from "Open" to "In Queue (Game)".

-Confirmed-

lancake changed the task status from "In Queue (Game)" to "Resolved".Dec 4 2015, 11:38 PM
lancake lowered the priority of this task from "Pre-Release Quality Assurance" to "Urgent".Dec 4 2015, 11:38 PM
Restricted Application added a subscriber: AndyP. · View Herald TranscriptDec 4 2015, 11:38 PM

This should have been fixed in 0.19518 but requires some long term testing.

Hm...doesn't happen anymore, but it doesn't bleed anything at all when over capacity which probably explains a lot.

schema added a subscriber: schema.Jan 9 2016, 2:44 PM

there was an initial 5 minutes before it would check. Since tehre is now another more accurate flag in place (wait until fully loaded), the initial delay is 1 minute. then it should drop every minute.

Add Comment